Subject: Re: bug#13653: 24.2.93; cygw32 in daemon mode aborts in response to kill command

From: Eli Zaretskii <[email-masked]>
Date: Sun, 06 Dec 2020 21:25:07 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Sun, 06 Dec 2020 20:14:27 +0100
> Cc: [email-masked]
> 
> Ken Brown <[email-masked]> writes:
> 
> > In the cygw32 build, start emacs in daemon mode:
> >
> > $ emacs --daemon -Q
> >
> > Now kill it from the terminal:
> >
> > $ kill PID
> >
> > The result is an Emacs Abort Dialog box saying a fatal error has
> > occurred and asking me if I want to attach a debugger.  I have two
> > problems with this.  First, a kill command shouldn't cause emacs to
> > abort.  Second, I don't think the cygw32 build should ever pop up an
> > abort dialog box.  None of the other emacs builds on Cygwin do this,
> > so it's surprising and confusing to users.
> 
> (This bug report unfortunately got no response at the time.)
> 
> Are you still seeing this problem in more recent Emacs versions?

Assuming that Ken says this is still an issue: how does 'kill' work in
its Cygwin version?  Specifically, is it possible that it runs the
signal handler in a separate thread, like what Windows does with
SIGINT handlers of console programs if one types Ctrl-C?  If so, I
think I know the reason and can describe the details; fixing that is
not trivial, to say the least.